Name: dismal
Summary: spreadsheet for emacs
Version: 1.4
Release: 1
Copyright: GPL
Group: Applications/Editors/Emacs
Source: ftp://128.243.40.43/pub/lpzfr/dismal-1.4.tar.gz
Url: http://www.cat.nyu.edu/fox/
Distribution:
Vendor:
Packager: jeff covey <jeff.covey@pobox.com>
Requires: emacs >= 19

%description
Dis' Mode Ain't lotus, a major mode in GNU-emacs that implements a
spreadsheet.  Dismal provides the basic spreadsheet functions.
Because it is based on GNU-emacs it offers several relatively novel
features for a spreadsheet.  It is designed to be keystroke driven
rather than mouse/menu driven (although it can be menu driven).  It is
extensible, so that users can write their own commands and functions,
for example, to allow a function cell to write to several nearby
cells.  A ruler can be put up that reflects the semantics of column
names past the ones automatically provided as letters.

%prep
%setup

%build
make

%install
if [ -d /usr/share/emacs/site-lisp/dismal ]; then
	echo "installing in existing /usr/share/emacs/site-lisp/dismal"
	echo ""
    else
	echo "creating /usr/share/emacs/site-lisp/dismal"
	echo ""
	mkdir /usr/share/emacs/site-lisp/dismal
fi

install --owner=root --group=root --mode=644 *.el *.elc aligner-test-data.txt \
    example-codes.txt timer.c timer.bin checkout-dismal.script \
    /usr/share/emacs/site-lisp/dismal
install --owner=root --group=root --mode=644 dismal.info dismal.info-1 \
    dismal.info-2 /usr/info


%post
if [ $1 -eq 1 ]; then
    echo "to use dismal, add the following lines to your ~/.emacs:"
    echo ""
    echo "(setq load-path (append (list \"/usr/share/emacs/site-lisp/dismal\") load-path))"
    echo "(load \"/usr/share/emacs/site-lisp/dismal/dismal-mode-defaults.el\")"
    echo ""
    echo "documentation for dismal is in /usr/info."
    echo ""
fi

%postun
if [ $1 -eq 0 ]; then
rmdir /usr/share/emacs/site-lisp/dismal
    echo "you probably want to remove these lines from your ~/.emacs:"
    echo ""
    echo "(setq load-path (append (list \"/usr/share/emacs/site-lisp/dismal\") load-path))"
    echo "(load \"/usr/share/emacs/site-lisp/dismal/dismal-mode-defaults.el\")"
    echo ""
fi


%files
%doc COPYING
%doc LCD-entry
%doc README
%doc REFCARD
%doc dismal-manual.tex
%doc *.dis
/usr/share/emacs/site-lisp/dismal
/usr/info/dismal.info
/usr/info/dismal.info-1
/usr/info/dismal.info-2
